<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();
$permisos = str_split($sesion->get('permiso'));

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<script  type="text/javascript"> 

$(document).ready(function(){
	var lastsel3;
	var datos=new Array();
	var cod_area="";
		
	var grillaAdtivos=jQuery("#listado_administrativos").jqGrid({
		height: 340,
		url:'mod_administrativos/list_administrativos.php',
		datatype: "json",
		width:600,
		rowNum:15,
		rowList:[15,30,50],
		pager: '#pager_administrativos',
		sortname: 'ape1_adtivo',
		viewrecords: true,
		sortorder: "asc",
		editurl:'mod_administrativos/administrativos_new_edit.php',
		caption:'<?php echo $cleguaje->Phrase('administrativos','titulogrilla') ?>',
		toolbar:[true,"top"],
		
		colNames:[
			'<?php echo $cleguaje->getField('global','num_doc') ?>',
			'<?php echo $cleguaje->Phrase('global','nom_ape') ?>',
			'<?php echo $cleguaje->getField('global','pri_ape') ?>',
			'<?php echo $cleguaje->getField('global','seg_ape') ?>',
			'<?php echo $cleguaje->getField('global','pri_nom') ?>',
			'<?php echo $cleguaje->getField('global','seg_nom') ?>',
			'<?php echo $cleguaje->getField('global','sexo') ?>',
			'<?php echo $cleguaje->getField('administrativos','cargo') ?>',
		],
		
		colModel:[
			{name:'ide_adtivo',index:'ide_adtivo',resizable:false,width:120},
			{name:'nom_ape',index:'nom_ape',resizable:false,width:250,search:false},
			
			{name:'ape1_adtivo',index:'ape1_adtivo',resizable:false,width:200,hidden:true,
				searchoptions:{searchhidden:true}
			},

			{name:'ape2_adtivo',index:'ape2_adtivo',resizable:false,width:200,hidden:true,
				searchoptions:{searchhidden:true}
			},

			{name:'no1_adtivo',index:'no1_adtivo',resizable:false,width:200,hidden:true,
				searchoptions:{searchhidden:true}
			},

			{name:'no2_adtivo',index:'no2_adtivo',resizable:false,width:200,hidden:true,
				searchoptions:{searchhidden:true}
			},
			
			{name:'genero',index:'genero',resizable:false,width:50},
			{name:'cargo',index:'cargo',resizable:false,width:140},
		],
		loadComplete:function(){
			cambiar_iconos('pager_administrativos')
		},
		
	})
	jQuery("#listado_administrativos").jqGrid('navGrid','#pager_administrativos',{add:false,edit:false,del:false}, {}, {}, {},{
		multipleSearch:true,
		modal:true,
		resize : false,
	});
	
<?php 
if(in_array("A", $permisos)) { ?>
		var dtnew={
			nom_pag:"t_listado_administrativos",
			ancho:'auto',
			alto:'auto',
			param:'?accion=new',
			iframe:false,
			recarga:true,
			title: '<?php echo $cleguaje->Phrase('global','new') . " " . $cleguaje->Phrase('administrativos','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('global','institucion') ?>'
		}		
		btnNuevoColorbox(grillaAdtivos,dtnew)
	
			
<?php  } if(in_array("M", $permisos)) {?>
		var dtedit={
			nom_pag:"t_listado_administrativos",
			ide_tabla:'listado_administrativos',
			ancho:'auto',
			alto:'auto',
			param:'?accion=edit',
			iframe:false,
			recarga:true,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrec') ?>', //mensaje si no selecciona un registro
			title: '<?php echo $cleguaje->Phrase('global','edit') . " " . $cleguaje->Phrase('administrativos','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
		}	
		
		btnEditarColorbox(grillaAdtivos,dtedit)
		
<?php } if(in_array("E", $permisos)) {?>	
		var tddel={
			modulo:'administrativos',
			nom_pag:"t_listado_administrativos",
			ide_tabla:'listado_administrativos',
			ancho:'400',
			modal:true,
			recarga:true,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrecdel') ?>', //mensaje si no selecciona un registro
			msg_confirma:'<?php echo str_replace('@','\n',$cleguaje->Phrase('administrativos','confirdel')) ?>', //mensaje de confirmacion para la eliminacion
			title: '<?php echo $cleguaje->Phrase('global','del') . " " . $cleguaje->Phrase('administrativos','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
		}
		
		var xddel={
			modulo:'administrativos',
			nom_pag:"t_listado_administrativos",
			ide_tabla:'listado_administrativos',
			recarga:true,
			msg_sel:'<?php echo $cleguaje->Phrase('global','selrecdel') ?>', //mensaje si no selecciona un registro
			msg_confirma:'<?php echo str_replace('@','\n',$cleguaje->Phrase('administrativos','confirdel')) ?>', //mensaje de confirmacion para la eliminacion
			title: '<?php echo $cleguaje->Phrase('global','del') . " " . $cleguaje->Phrase('administrativos','name') ?>',
			empresa: '<?php  echo $cleguaje->Phrase('project','institucion') ?>',
			isgrid:false,
			url:'mod_administrativos/opera_administrativos.php',
			msgExito:'<?php  echo $cleguaje->Phrase('global','delexito') ?>',
		}
		btnEliminar(grillaAdtivos,xddel)
	
	
<?php } ?>
});


</script>
<title></title>
</head>

<body>
<table align="center">
  <tr>
  <td>
<table id="listado_administrativos"></table>
<div id="pager_administrativos"></div>
</td></tr>
</table>
	

</body>
</html>